<template>
  <button
    :class="
      `relative w-full flex justify-center py-2 px-4 border border-transparent text-sm font-medium rounded-md text-white bg-${color}-500 hover:bg-${color}-600 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-${color}-400`
        + (disable ? ` opacity-50 cursor-not-allowed` : ``)
    "
    :disabled="disable"
    @click="$emit('click',$event)"
  >
    <span
      v-if="icon != null"
      class="absolute left-0 inset-y-0 flex items-center pl-3"
    >
      <font-awesome-icon
        :icon="icon"
        :class="`h-5 w-5 text-${color}-400 group-hover:text-${color}-300`"
      />
    </span>
    {{ label }}
  </button>
</template>

<script>
export default {
  name: "Button",
  props: {
    icon: {
      default: null,
      svg: String
    },
    label: String,
    color: {
      default: "yellow",
      type: String
    },
    disable: {
      default: false,
      type: Boolean
    },
  }
};
</script>

<style scoped></style>
